package modeles;

import java.io.IOException;

public class main {

	public static void main(String[] args) throws IOException {
		
		Menu menu = new Menu();
		Labyrinthe lab=menu.menuStartGame();
		
		
		Marche marche= (Marche) lab.listePorte.get(0).getSalle1();
		System.out.println(marche.creerObjetsAVendre(lab));
	
		Personnage perso = menu.menuSelection(lab);
		perso.setSalle(lab.listePorte.get(0).getSalle1());
		Salle next =lab.listePorte.get(perso.getSalle().getListePorte().get(0)).prochainSaut(perso.getSalle());
		
		System.out.println(menu.menuCombat(lab.listeMonstre.get(next.getListeEnnemie().get(0)), perso, lab));
		perso.setSalle(next);
		menu.deplacement(perso,next);
		System.out.println("le personnage à bouger");
		
		//Clavier.entrerClavierInt();
		//menu.menuCombat(lab.listeMonstre.get(0), lab.listePersonnage.get(0), lab);
		//menu.menuSelection(lab);
		
	}

}
